{
  "openapi": "3.0.3",
  "info": {
    "title": "Banking",
    "version": "1.0.0",
    "description": "Portão 3 banking API. Every endpoint requires a bearer token in the Authorization header (Authorization: Bearer <token>) unless its page states otherwise; see the Authentication guide. That requirement is not repeated per endpoint. Generated by tools/openapi from code (routes + security) and the hand-written spec (request/response bodies). Banking attaches a zod validationSchema at the route; request bodies are resolved from it (object + array roots). Responses have no presenter layer, so they stay tier=unknown. Confidence tiers: generated:typed=182 copied:manual=7 unknown=63."
  },
  "servers": [
    {
      "url": "https://api.banking.v2.portao3.com.br/",
      "description": "production"
    },
    {
      "url": "https://api.banking.dev.3pers.com.br/",
      "description": "development"
    }
  ],
  "x-p3-surface": "public",
  "tags": [
    {
      "name": "Accounts"
    },
    {
      "name": "Wallets"
    },
    {
      "name": "Cards"
    },
    {
      "name": "PIX"
    },
    {
      "name": "PIX Keys (DICT)"
    },
    {
      "name": "PIX Charges"
    },
    {
      "name": "PIX Automatic"
    },
    {
      "name": "PIX Initiation (Open Finance)"
    },
    {
      "name": "PIX Infractions (MED)"
    },
    {
      "name": "Boleto"
    },
    {
      "name": "Boleto Charges"
    },
    {
      "name": "TED"
    },
    {
      "name": "Transfers"
    },
    {
      "name": "Transactions"
    },
    {
      "name": "Cashback"
    },
    {
      "name": "Currency Codes"
    },
    {
      "name": "Reversals"
    }
  ],
  "components": {},
  "paths": {
    "/realms/{realmId}/account-limits": {
      "get": {
        "operationId": "getRealmsByRealmIdAccountLimits",
        "summary": "/realms/{realmId}/account-limits",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "_id": {
                        "type": "string"
                      },
                      "environment": {
                        "type": "string",
                        "enum": [
                          "LIVE",
                          "TEST"
                        ]
                      },
                      "realmId": {
                        "type": "string"
                      },
                      "organizationId": {
                        "type": "string"
                      },
                      "accountId": {
                        "type": "string"
                      },
                      "walletLimits": {
                        "type": "object",
                        "properties": {
                          "quantity": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "quantity"
                        ]
                      },
                      "cardLimits": {
                        "type": "object",
                        "properties": {
                          "quantity": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "quantity"
                        ]
                      },
                      "transactionLimits": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "period": {
                              "type": "string",
                              "enum": [
                                "DAY",
                                "NIGHT"
                              ]
                            },
                            "product": {
                              "type": "string",
                              "enum": [
                                "PIX",
                                "TED",
                                "BOLETO"
                              ]
                            },
                            "amount": {
                              "type": "number",
                              "nullable": true
                            }
                          },
                          "required": [
                            "period",
                            "product",
                            "amount"
                          ]
                        }
                      },
                      "pixIn": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "pixOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "boletoIn": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "boletoOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "tedOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      }
                    },
                    "required": [
                      "_id",
                      "environment",
                      "realmId",
                      "organizationId",
                      "accountId",
                      "walletLimits",
                      "cardLimits",
                      "transactionLimits",
                      "pixIn",
                      "pixOut",
                      "boletoIn",
                      "boletoOut",
                      "tedOut"
                    ]
                  }
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      }
    },
    "/realms/{realmId}/accounts": {
      "get": {
        "operationId": "getRealmsByRealmIdAccounts",
        "summary": "/realms/{realmId}/accounts",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/account-limits": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountLimits",
        "summary": "/realms/{realmId}/organizations/{organizationId}/account-limits",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "_id": {
                        "type": "string"
                      },
                      "environment": {
                        "type": "string",
                        "enum": [
                          "LIVE",
                          "TEST"
                        ]
                      },
                      "realmId": {
                        "type": "string"
                      },
                      "organizationId": {
                        "type": "string"
                      },
                      "accountId": {
                        "type": "string"
                      },
                      "walletLimits": {
                        "type": "object",
                        "properties": {
                          "quantity": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "quantity"
                        ]
                      },
                      "cardLimits": {
                        "type": "object",
                        "properties": {
                          "quantity": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "quantity"
                        ]
                      },
                      "transactionLimits": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "period": {
                              "type": "string",
                              "enum": [
                                "DAY",
                                "NIGHT"
                              ]
                            },
                            "product": {
                              "type": "string",
                              "enum": [
                                "PIX",
                                "TED",
                                "BOLETO"
                              ]
                            },
                            "amount": {
                              "type": "number",
                              "nullable": true
                            }
                          },
                          "required": [
                            "period",
                            "product",
                            "amount"
                          ]
                        }
                      },
                      "pixIn": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "pixOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "boletoIn": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "boletoOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      },
                      "tedOut": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean",
                            "nullable": true
                          },
                          "maxAmount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "enabled",
                          "maxAmount"
                        ]
                      }
                    },
                    "required": [
                      "_id",
                      "environment",
                      "realmId",
                      "organizationId",
                      "accountId",
                      "walletLimits",
                      "cardLimits",
                      "transactionLimits",
                      "pixIn",
                      "pixOut",
                      "boletoIn",
                      "boletoOut",
                      "tedOut"
                    ]
                  }
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccounts",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountId",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/account-limits": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdAccountLimits",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/account-limits",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_id": {
                      "type": "string"
                    },
                    "environment": {
                      "type": "string",
                      "enum": [
                        "LIVE",
                        "TEST"
                      ]
                    },
                    "realmId": {
                      "type": "string"
                    },
                    "organizationId": {
                      "type": "string"
                    },
                    "accountId": {
                      "type": "string"
                    },
                    "walletLimits": {
                      "type": "object",
                      "properties": {
                        "quantity": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "quantity"
                      ]
                    },
                    "cardLimits": {
                      "type": "object",
                      "properties": {
                        "quantity": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "quantity"
                      ]
                    },
                    "transactionLimits": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "period": {
                            "type": "string",
                            "enum": [
                              "DAY",
                              "NIGHT"
                            ]
                          },
                          "product": {
                            "type": "string",
                            "enum": [
                              "PIX",
                              "TED",
                              "BOLETO"
                            ]
                          },
                          "amount": {
                            "type": "number",
                            "nullable": true
                          }
                        },
                        "required": [
                          "period",
                          "product",
                          "amount"
                        ]
                      }
                    },
                    "pixIn": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean",
                          "nullable": true
                        },
                        "maxAmount": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "enabled",
                        "maxAmount"
                      ]
                    },
                    "pixOut": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean",
                          "nullable": true
                        },
                        "maxAmount": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "enabled",
                        "maxAmount"
                      ]
                    },
                    "boletoIn": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean",
                          "nullable": true
                        },
                        "maxAmount": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "enabled",
                        "maxAmount"
                      ]
                    },
                    "boletoOut": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean",
                          "nullable": true
                        },
                        "maxAmount": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "enabled",
                        "maxAmount"
                      ]
                    },
                    "tedOut": {
                      "type": "object",
                      "properties": {
                        "enabled": {
                          "type": "boolean",
                          "nullable": true
                        },
                        "maxAmount": {
                          "type": "number",
                          "nullable": true
                        }
                      },
                      "required": [
                        "enabled",
                        "maxAmount"
                      ]
                    }
                  },
                  "required": [
                    "_id",
                    "environment",
                    "realmId",
                    "organizationId",
                    "accountId",
                    "walletLimits",
                    "cardLimits",
                    "transactionLimits",
                    "pixIn",
                    "pixOut",
                    "boletoIn",
                    "boletoOut",
                    "tedOut"
                  ]
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/inquire-balance": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdInquireBalance",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/inquire-balance",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "date",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "bagsBalance": {
                      "type": "number"
                    },
                    "balance": {
                      "type": "number"
                    },
                    "id": {
                      "type": "string"
                    },
                    "referenceDate": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "bagsBalance",
                    "balance",
                    "id",
                    "referenceDate"
                  ]
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed",
          "parameters": "generated:typed",
          "querySource": "route:inquireBalanceQuerySchema"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWallets",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "forceBalanceResponse",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "true",
                "false",
                ""
              ]
            }
          },
          {
            "name": "ids",
            "in": "query",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": false
          },
          {
            "name": "next",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 0,
              "exclusiveMinimum": true
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown",
          "parameters": "generated:typed",
          "querySource": "route:listWalletsFromAccountQuerySchema"
        }
      },
      "post": {
        "operationId": "postRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWallets",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "currency": {
                    "type": "string",
                    "description": "ISO 4217 numeric currency code, e.g. \"986\" (BRL). A JSON number is coerced to its string form."
                  },
                  "name": {
                    "type": "string",
                    "minLength": 1
                  },
                  "type": {
                    "type": "string",
                    "enum": [
                      "PERSONAL",
                      "SHARED",
                      "VEHICLE"
                    ],
                    "default": "SHARED"
                  },
                  "settings": {
                    "type": "object",
                    "properties": {
                      "payment": {
                        "type": "object",
                        "properties": {
                          "pix": {
                            "type": "boolean",
                            "default": true
                          },
                          "bankSlip": {
                            "type": "boolean",
                            "default": true
                          },
                          "card": {
                            "type": "boolean",
                            "default": true
                          }
                        }
                      }
                    }
                  },
                  "customFields": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Map of custom-field slug to value. The legacy array shape is no longer accepted."
                  },
                  "shared": {
                    "type": "array",
                    "minItems": 1,
                    "description": "Optional. When omitted, the authenticated principal becomes the wallet OWNER.",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "minLength": 1
                        },
                        "role": {
                          "type": "string",
                          "enum": [
                            "OWNER",
                            "USER",
                            "READ_ONLY"
                          ]
                        }
                      },
                      "required": [
                        "id",
                        "role"
                      ]
                    }
                  }
                },
                "required": [
                  "currency",
                  "name"
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_id": {
                      "type": "string"
                    },
                    "realmId": {
                      "type": "string"
                    },
                    "organizationId": {
                      "type": "string"
                    },
                    "accountId": {
                      "type": "string"
                    },
                    "environment": {
                      "type": "string",
                      "enum": [
                        "LIVE",
                        "TEST"
                      ]
                    },
                    "external": {
                      "type": "object",
                      "properties": {
                        "balanceAccountGroupId": {
                          "type": "string"
                        },
                        "accountNumber": {
                          "type": "number"
                        },
                        "accountDigit": {
                          "type": "number"
                        },
                        "branch": {
                          "type": "string"
                        },
                        "accountRequestId": {
                          "type": "string"
                        },
                        "checkingAccountId": {
                          "type": "string"
                        },
                        "accountType": {
                          "type": "string",
                          "enum": [
                            "PREPAID",
                            "CCLG"
                          ]
                        },
                        "productId": {
                          "type": "string"
                        }
                      }
                    },
                    "currency": {
                      "type": "string",
                      "enum": [
                        "784",
                        "971",
                        "008",
                        "051",
                        "973",
                        "032",
                        "036",
                        "533",
                        "944",
                        "977",
                        "052",
                        "050",
                        "048",
                        "108",
                        "060",
                        "096",
                        "068",
                        "984",
                        "986",
                        "044",
                        "064",
                        "072",
                        "933",
                        "084",
                        "124",
                        "976",
                        "947",
                        "756",
                        "948",
                        "990",
                        "152",
                        "156",
                        "170",
                        "970",
                        "188",
                        "192",
                        "132",
                        "203",
                        "262",
                        "208",
                        "214",
                        "012",
                        "818",
                        "232",
                        "230",
                        "978",
                        "242",
                        "238",
                        "826",
                        "981",
                        "936",
                        "292",
                        "270",
                        "324",
                        "320",
                        "328",
                        "344",
                        "340",
                        "332",
                        "348",
                        "360",
                        "376",
                        "356",
                        "368",
                        "364",
                        "352",
                        "388",
                        "400",
                        "392",
                        "404",
                        "417",
                        "116",
                        "174",
                        "408",
                        "410",
                        "414",
                        "136",
                        "398",
                        "418",
                        "422",
                        "144",
                        "430",
                        "426",
                        "434",
                        "504",
                        "498",
                        "969",
                        "807",
                        "104",
                        "496",
                        "446",
                        "929",
                        "480",
                        "462",
                        "454",
                        "484",
                        "979",
                        "458",
                        "943",
                        "516",
                        "566",
                        "558",
                        "578",
                        "524",
                        "554",
                        "512",
                        "590",
                        "604",
                        "598",
                        "608",
                        "586",
                        "985",
                        "600",
                        "634",
                        "946",
                        "941",
                        "643",
                        "646",
                        "682",
                        "090",
                        "690",
                        "938",
                        "752",
                        "702",
                        "654",
                        "925",
                        "706",
                        "968",
                        "728",
                        "930",
                        "222",
                        "760",
                        "748",
                        "764",
                        "972",
                        "934",
                        "788",
                        "776",
                        "949",
                        "780",
                        "901",
                        "834",
                        "980",
                        "800",
                        "840",
                        "997",
                        "940",
                        "858",
                        "927",
                        "860",
                        "926",
                        "928",
                        "704",
                        "548",
                        "882",
                        "396",
                        "950",
                        "961",
                        "959",
                        "955",
                        "956",
                        "957",
                        "958",
                        "951",
                        "532",
                        "960",
                        "952",
                        "964",
                        "953",
                        "962",
                        "994",
                        "963",
                        "965",
                        "999",
                        "886",
                        "710",
                        "967",
                        "924"
                      ]
                    },
                    "customFields": {},
                    "status": {
                      "type": "string",
                      "enum": [
                        "PENDING",
                        "ACTIVE",
                        "CANCELLING",
                        "CANCELLED",
                        "BLOCKED",
                        "REPROVED",
                        "FRAUD_ANALYSIS",
                        "FRAUD_CONFIRMED"
                      ]
                    },
                    "role": {
                      "type": "string",
                      "enum": [
                        "DEFAULT",
                        "CHECKING"
                      ]
                    },
                    "type": {
                      "type": "string",
                      "enum": [
                        "PERSONAL",
                        "SHARED",
                        "ORGANIZATION",
                        "VEHICLE"
                      ]
                    },
                    "name": {
                      "type": "string",
                      "nullable": true
                    },
                    "shared": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "firstName": {
                            "type": "string"
                          },
                          "lastName": {
                            "type": "string"
                          },
                          "email": {
                            "type": "string"
                          },
                          "role": {
                            "type": "string",
                            "enum": [
                              "OWNER",
                              "USER",
                              "READ_ONLY"
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "firstName",
                          "lastName",
                          "email",
                          "role"
                        ]
                      }
                    },
                    "settings": {
                      "type": "object",
                      "properties": {
                        "payment": {
                          "type": "object",
                          "properties": {
                            "pix": {
                              "type": "boolean"
                            },
                            "bankSlip": {
                              "type": "boolean"
                            },
                            "card": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "pix",
                            "bankSlip",
                            "card"
                          ]
                        },
                        "notification": {
                          "type": "object",
                          "properties": {
                            "balanceLimit": {
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "type": "number"
                                },
                                "email": {
                                  "type": "boolean"
                                },
                                "isActive": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "amount",
                                "email",
                                "isActive"
                              ]
                            }
                          },
                          "required": [
                            "balanceLimit"
                          ]
                        }
                      },
                      "required": [
                        "payment"
                      ]
                    },
                    "walletProduct": {
                      "type": "string"
                    },
                    "isSuper": {
                      "type": "boolean"
                    },
                    "createdBy": {
                      "type": "string"
                    },
                    "updatedBy": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "_id",
                    "realmId",
                    "organizationId",
                    "accountId",
                    "environment",
                    "external",
                    "currency",
                    "customFields",
                    "status",
                    "role",
                    "type",
                    "name",
                    "shared",
                    "settings",
                    "createdBy",
                    "updatedBy"
                  ]
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed",
          "request": "copied:manual",
          "requestSource": "route:CreateWalletSchema"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets-report": {
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsReport",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets-report",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown",
          "parameters": "generated:typed",
          "querySource": "route:walletsReportQuerySchema"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}": {
      "delete": {
        "operationId": "deleteRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletId",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "No Content. The operation succeeded and the response has no body."
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      },
      "get": {
        "operationId": "getRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletId",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_id": {
                      "type": "string"
                    },
                    "realmId": {
                      "type": "string"
                    },
                    "organizationId": {
                      "type": "string"
                    },
                    "accountId": {
                      "type": "string"
                    },
                    "environment": {
                      "type": "string",
                      "enum": [
                        "LIVE",
                        "TEST"
                      ]
                    },
                    "external": {
                      "type": "object",
                      "properties": {
                        "balanceAccountGroupId": {
                          "type": "string"
                        },
                        "accountNumber": {
                          "type": "number"
                        },
                        "accountDigit": {
                          "type": "number"
                        },
                        "branch": {
                          "type": "string"
                        },
                        "accountRequestId": {
                          "type": "string"
                        },
                        "checkingAccountId": {
                          "type": "string"
                        },
                        "accountType": {
                          "type": "string",
                          "enum": [
                            "PREPAID",
                            "CCLG"
                          ]
                        },
                        "productId": {
                          "type": "string"
                        }
                      }
                    },
                    "currency": {
                      "type": "string",
                      "enum": [
                        "784",
                        "971",
                        "008",
                        "051",
                        "973",
                        "032",
                        "036",
                        "533",
                        "944",
                        "977",
                        "052",
                        "050",
                        "048",
                        "108",
                        "060",
                        "096",
                        "068",
                        "984",
                        "986",
                        "044",
                        "064",
                        "072",
                        "933",
                        "084",
                        "124",
                        "976",
                        "947",
                        "756",
                        "948",
                        "990",
                        "152",
                        "156",
                        "170",
                        "970",
                        "188",
                        "192",
                        "132",
                        "203",
                        "262",
                        "208",
                        "214",
                        "012",
                        "818",
                        "232",
                        "230",
                        "978",
                        "242",
                        "238",
                        "826",
                        "981",
                        "936",
                        "292",
                        "270",
                        "324",
                        "320",
                        "328",
                        "344",
                        "340",
                        "332",
                        "348",
                        "360",
                        "376",
                        "356",
                        "368",
                        "364",
                        "352",
                        "388",
                        "400",
                        "392",
                        "404",
                        "417",
                        "116",
                        "174",
                        "408",
                        "410",
                        "414",
                        "136",
                        "398",
                        "418",
                        "422",
                        "144",
                        "430",
                        "426",
                        "434",
                        "504",
                        "498",
                        "969",
                        "807",
                        "104",
                        "496",
                        "446",
                        "929",
                        "480",
                        "462",
                        "454",
                        "484",
                        "979",
                        "458",
                        "943",
                        "516",
                        "566",
                        "558",
                        "578",
                        "524",
                        "554",
                        "512",
                        "590",
                        "604",
                        "598",
                        "608",
                        "586",
                        "985",
                        "600",
                        "634",
                        "946",
                        "941",
                        "643",
                        "646",
                        "682",
                        "090",
                        "690",
                        "938",
                        "752",
                        "702",
                        "654",
                        "925",
                        "706",
                        "968",
                        "728",
                        "930",
                        "222",
                        "760",
                        "748",
                        "764",
                        "972",
                        "934",
                        "788",
                        "776",
                        "949",
                        "780",
                        "901",
                        "834",
                        "980",
                        "800",
                        "840",
                        "997",
                        "940",
                        "858",
                        "927",
                        "860",
                        "926",
                        "928",
                        "704",
                        "548",
                        "882",
                        "396",
                        "950",
                        "961",
                        "959",
                        "955",
                        "956",
                        "957",
                        "958",
                        "951",
                        "532",
                        "960",
                        "952",
                        "964",
                        "953",
                        "962",
                        "994",
                        "963",
                        "965",
                        "999",
                        "886",
                        "710",
                        "967",
                        "924"
                      ]
                    },
                    "customFields": {},
                    "status": {
                      "type": "string",
                      "enum": [
                        "PENDING",
                        "ACTIVE",
                        "CANCELLING",
                        "CANCELLED",
                        "BLOCKED",
                        "REPROVED",
                        "FRAUD_ANALYSIS",
                        "FRAUD_CONFIRMED"
                      ]
                    },
                    "role": {
                      "type": "string",
                      "enum": [
                        "DEFAULT",
                        "CHECKING"
                      ]
                    },
                    "type": {
                      "type": "string",
                      "enum": [
                        "PERSONAL",
                        "SHARED",
                        "ORGANIZATION",
                        "VEHICLE"
                      ]
                    },
                    "name": {
                      "type": "string",
                      "nullable": true
                    },
                    "shared": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "firstName": {
                            "type": "string"
                          },
                          "lastName": {
                            "type": "string"
                          },
                          "email": {
                            "type": "string"
                          },
                          "role": {
                            "type": "string",
                            "enum": [
                              "OWNER",
                              "USER",
                              "READ_ONLY"
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "firstName",
                          "lastName",
                          "email",
                          "role"
                        ]
                      }
                    },
                    "settings": {
                      "type": "object",
                      "properties": {
                        "payment": {
                          "type": "object",
                          "properties": {
                            "pix": {
                              "type": "boolean"
                            },
                            "bankSlip": {
                              "type": "boolean"
                            },
                            "card": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "pix",
                            "bankSlip",
                            "card"
                          ]
                        },
                        "notification": {
                          "type": "object",
                          "properties": {
                            "balanceLimit": {
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "type": "number"
                                },
                                "email": {
                                  "type": "boolean"
                                },
                                "isActive": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "amount",
                                "email",
                                "isActive"
                              ]
                            }
                          },
                          "required": [
                            "balanceLimit"
                          ]
                        }
                      },
                      "required": [
                        "payment"
                      ]
                    },
                    "walletProduct": {
                      "type": "string"
                    },
                    "isSuper": {
                      "type": "boolean"
                    },
                    "createdBy": {
                      "type": "string"
                    },
                    "updatedBy": {
                      "type": "string"
                    },
                    "totalBalance": {
                      "type": "number"
                    },
                    "balances": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "category": {
                            "type": "string",
                            "enum": [
                              "FLEX_NATIONAL",
                              "FLEX_INTERNATIONAL",
                              "FOOD",
                              "GAS",
                              "MOBILITY",
                              "TOLL",
                              "FLEX_NATIONAL_WITHOUT_WITHDRAWALS",
                              "ADS",
                              "SAAS",
                              "HOTEL",
                              "AIRLINES",
                              "TRAVEL",
                              "BLOCKED",
                              "CASHBACK"
                            ]
                          },
                          "amount": {
                            "type": "number"
                          }
                        },
                        "required": [
                          "category",
                          "amount"
                        ]
                      }
                    }
                  },
                  "required": [
                    "_id",
                    "accountId",
                    "balances",
                    "createdBy",
                    "currency",
                    "customFields",
                    "environment",
                    "external",
                    "name",
                    "organizationId",
                    "realmId",
                    "role",
                    "settings",
                    "shared",
                    "status",
                    "totalBalance",
                    "type",
                    "updatedBy"
                  ]
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      },
      "put": {
        "operationId": "putRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletId",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "customFields": {
                    "type": "object",
                    "additionalProperties": {}
                  },
                  "settings": {
                    "type": "object",
                    "properties": {
                      "payment": {
                        "type": "object",
                        "properties": {
                          "pix": {
                            "default": true,
                            "type": "boolean"
                          },
                          "bankSlip": {
                            "default": true,
                            "type": "boolean"
                          },
                          "card": {
                            "default": true,
                            "type": "boolean"
                          }
                        }
                      }
                    }
                  },
                  "shared": {
                    "minItems": 1,
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "minLength": 1
                        },
                        "role": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "id",
                        "role"
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_id": {
                      "type": "string"
                    },
                    "realmId": {
                      "type": "string"
                    },
                    "organizationId": {
                      "type": "string"
                    },
                    "accountId": {
                      "type": "string"
                    },
                    "environment": {
                      "type": "string",
                      "enum": [
                        "LIVE",
                        "TEST"
                      ]
                    },
                    "external": {
                      "type": "object",
                      "properties": {
                        "balanceAccountGroupId": {
                          "type": "string"
                        },
                        "accountNumber": {
                          "type": "number"
                        },
                        "accountDigit": {
                          "type": "number"
                        },
                        "branch": {
                          "type": "string"
                        },
                        "accountRequestId": {
                          "type": "string"
                        },
                        "checkingAccountId": {
                          "type": "string"
                        },
                        "accountType": {
                          "type": "string",
                          "enum": [
                            "PREPAID",
                            "CCLG"
                          ]
                        },
                        "productId": {
                          "type": "string"
                        }
                      }
                    },
                    "currency": {
                      "type": "string",
                      "enum": [
                        "784",
                        "971",
                        "008",
                        "051",
                        "973",
                        "032",
                        "036",
                        "533",
                        "944",
                        "977",
                        "052",
                        "050",
                        "048",
                        "108",
                        "060",
                        "096",
                        "068",
                        "984",
                        "986",
                        "044",
                        "064",
                        "072",
                        "933",
                        "084",
                        "124",
                        "976",
                        "947",
                        "756",
                        "948",
                        "990",
                        "152",
                        "156",
                        "170",
                        "970",
                        "188",
                        "192",
                        "132",
                        "203",
                        "262",
                        "208",
                        "214",
                        "012",
                        "818",
                        "232",
                        "230",
                        "978",
                        "242",
                        "238",
                        "826",
                        "981",
                        "936",
                        "292",
                        "270",
                        "324",
                        "320",
                        "328",
                        "344",
                        "340",
                        "332",
                        "348",
                        "360",
                        "376",
                        "356",
                        "368",
                        "364",
                        "352",
                        "388",
                        "400",
                        "392",
                        "404",
                        "417",
                        "116",
                        "174",
                        "408",
                        "410",
                        "414",
                        "136",
                        "398",
                        "418",
                        "422",
                        "144",
                        "430",
                        "426",
                        "434",
                        "504",
                        "498",
                        "969",
                        "807",
                        "104",
                        "496",
                        "446",
                        "929",
                        "480",
                        "462",
                        "454",
                        "484",
                        "979",
                        "458",
                        "943",
                        "516",
                        "566",
                        "558",
                        "578",
                        "524",
                        "554",
                        "512",
                        "590",
                        "604",
                        "598",
                        "608",
                        "586",
                        "985",
                        "600",
                        "634",
                        "946",
                        "941",
                        "643",
                        "646",
                        "682",
                        "090",
                        "690",
                        "938",
                        "752",
                        "702",
                        "654",
                        "925",
                        "706",
                        "968",
                        "728",
                        "930",
                        "222",
                        "760",
                        "748",
                        "764",
                        "972",
                        "934",
                        "788",
                        "776",
                        "949",
                        "780",
                        "901",
                        "834",
                        "980",
                        "800",
                        "840",
                        "997",
                        "940",
                        "858",
                        "927",
                        "860",
                        "926",
                        "928",
                        "704",
                        "548",
                        "882",
                        "396",
                        "950",
                        "961",
                        "959",
                        "955",
                        "956",
                        "957",
                        "958",
                        "951",
                        "532",
                        "960",
                        "952",
                        "964",
                        "953",
                        "962",
                        "994",
                        "963",
                        "965",
                        "999",
                        "886",
                        "710",
                        "967",
                        "924"
                      ]
                    },
                    "customFields": {},
                    "status": {
                      "type": "string",
                      "enum": [
                        "PENDING",
                        "ACTIVE",
                        "CANCELLING",
                        "CANCELLED",
                        "BLOCKED",
                        "REPROVED",
                        "FRAUD_ANALYSIS",
                        "FRAUD_CONFIRMED"
                      ]
                    },
                    "role": {
                      "type": "string",
                      "enum": [
                        "DEFAULT",
                        "CHECKING"
                      ]
                    },
                    "type": {
                      "type": "string",
                      "enum": [
                        "PERSONAL",
                        "SHARED",
                        "ORGANIZATION",
                        "VEHICLE"
                      ]
                    },
                    "name": {
                      "type": "string",
                      "nullable": true
                    },
                    "shared": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "firstName": {
                            "type": "string"
                          },
                          "lastName": {
                            "type": "string"
                          },
                          "email": {
                            "type": "string"
                          },
                          "role": {
                            "type": "string",
                            "enum": [
                              "OWNER",
                              "USER",
                              "READ_ONLY"
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "firstName",
                          "lastName",
                          "email",
                          "role"
                        ]
                      }
                    },
                    "settings": {
                      "type": "object",
                      "properties": {
                        "payment": {
                          "type": "object",
                          "properties": {
                            "pix": {
                              "type": "boolean"
                            },
                            "bankSlip": {
                              "type": "boolean"
                            },
                            "card": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "pix",
                            "bankSlip",
                            "card"
                          ]
                        },
                        "notification": {
                          "type": "object",
                          "properties": {
                            "balanceLimit": {
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "type": "number"
                                },
                                "email": {
                                  "type": "boolean"
                                },
                                "isActive": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "amount",
                                "email",
                                "isActive"
                              ]
                            }
                          },
                          "required": [
                            "balanceLimit"
                          ]
                        }
                      },
                      "required": [
                        "payment"
                      ]
                    },
                    "walletProduct": {
                      "type": "string"
                    },
                    "isSuper": {
                      "type": "boolean"
                    },
                    "createdBy": {
                      "type": "string"
                    },
                    "updatedBy": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "_id",
                    "realmId",
                    "organizationId",
                    "accountId",
                    "environment",
                    "external",
                    "currency",
                    "customFields",
                    "status",
                    "role",
                    "type",
                    "name",
                    "shared",
                    "settings",
                    "createdBy",
                    "updatedBy"
                  ]
                }
              }
            }
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed",
          "request": "generated:typed",
          "requestSource": "route:UpdateWalletSchema"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/block": {
      "post": {
        "operationId": "postRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletIdBlock",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/block",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "default": {
            "description": "Undocumented response (no code type, no existing spec)."
          }
        },
        "x-p3-confidence": {
          "response": "unknown"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/clear-balance": {
      "post": {
        "operationId": "postRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletIdClearBalance",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/clear-balance",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "No Content. The operation succeeded and the response has no body."
          }
        },
        "x-p3-confidence": {
          "response": "generated:typed"
        }
      }
    },
    "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee": {
      "post": {
        "operationId": "postRealmsByRealmIdOrganizationsByOrganizationIdAccountsByAccountIdWalletsByWalletIdFee",
        "summary": "/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee",
        "tags": [
          "Wallets"
        ],
        "parameters": [
          {
            "name": "realmId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "organizationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "walletId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "category": {
                    "type": "string",
                    "enum": [
                      "FLEX_NATIONAL",
                      "FLEX_INTERNATIONAL",
                      "FOOD",
                      "GAS",
                      "MOBILITY",
                      "TOLL",
                      "FLEX_NATIONAL_WITHOUT_WITHDRAWALS",
                      "ADS",
                      "SAAS",
                      "HOTEL",
                      "AIRLINES",
                      "TRAVEL"
                    ]
                  },
                  "debitAmount": {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "minLength": 1
                      }
                    ]
                  },
                  "description": {
                    "type": "string",
                    "minLength": 1
                  },
                  "external": {
                    "type": "object",
                    "properties": {
                      "invoiceId": {
                        "type": "string",
                        "nullable": true
                      },
                      "dealId": {
                        "type": "string",
                        "nullable": true
                      },
                      "contractId": {
                        "type": "string",
                        "nullable": true
                      }
                    }
                  },
                  "creditParty": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "LOCAL",
                          "REMOTE_PIX"
                        ]
                      },
                      "local": {
                        "type": "object",
                        "properties": {
                          "category": {
                            "type": "string",
                            "enum": [
                              "CASHBACK",
                              "FLEX_NATIONAL",
                              "FLEX_INTERNATIONAL",
                              "FOOD",
                              "GAS",
                              "MOBILITY",
                              "TOLL",
                              "FLEX_NATIONAL_WITHOUT_WITHDRAWALS",
                              "ADS",
                              "SAAS",
                              "HOTEL",
                              "AIRLINES",
                              "TRAVEL"
                            ]
                          },
                          "realmId": {
                            "type": "string"
                          },
                          "organizationId": {
                            "type": "string"
                          },
                          "accountId": {
                            "type": "string"
                          },
                          "walletId": {
                            "type": "string"
                          }
                        }
                      },
                      "remote": {
                        "type": "object",
                        "properties": {
                          "pixKey": {
                            "type": "string"
                          },
                          "pixDict": {
                            "type": "string",
                            "enum": [
                              "PHONE",
                              "EMAIL",
                              "CPF",
                              "CNPJ",
                              "EVP"
                            ]
                          }
                        }
                      }
                    },
                    "required": [
                      "type"
                    ]
                  },
                  "linkedTransactions": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  }
                },
                "required": [
                  "category",
                  "debitAmount",
                  "description",
                  "creditParty"
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "category": {
                      "type": "string",
                      "enum": [
                        "FLEX_NATIONAL",
                        "FLEX_INTERNATIONAL",
                        "FOOD",
                        "GAS",
                        "MOBILITY",
                        "TOLL",
                        "FLEX_NATIONAL_WITHOUT_WITHDRAWALS",
                        "ADS",
                        "SAAS",
                        "HOTEL",
                        "AIRLINES",
                        "TRAVEL",
                        "BLOCKED",
                        "CASHBACK"
                      ]
                    },
                    "debitAmount": {
                      "type": "number"
                    },
                    "creditParty": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "LOCAL",
                            "REMOTE_PIX"
                          ]
                        },
                        "local": {
                          "type": "object",
                          "properties": {
                            "category": {
                              "type": "string",
                              "enum": [
                                "FLEX_NATIONAL",
                                "FLEX_INTERNATIONAL",
                                "FOOD",
                                "GAS",
                                "MOBILITY",
                                "TOLL",
                                "FLEX_NATIONAL_WITHOUT_WITHDRAWALS",
                                "ADS",
                                "SAAS",
                                "HOTEL",
                                "AIRLINES",
                                "TRAVEL",
                                "BLOCKED",
                                "CASHBACK"
                              ]
                            },
                            "realmId": {
                              "type": "string"
                            },
                            "organizationId": {
                              "type": "string"
                            },
                            "accountId": {
                              "type": "string"
                            },
                            "walletId": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "realmId",
                            "organizationId",
                            "accountId",
                            "walletId"
                          ]
                        },
                        "remote": {
                          "type": "object",
                          "properties": {
                            "pixKey": {
                              "type": "string"
                            },
                            "pixDict": {
                              "type": "string",
                              "enum": [
                                "PHONE",
                                "EMAIL",
                                "CPF",
                                "CNPJ",
                                "EVP"
                              ]
                            }
                          },
                          "required": [
                            "pixKey",
                            "pixDict"
                          ]
                        }
                      },
                      "required": [
                        "type"
                      ]
                    },
                    "description": {
                      "type": "string"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "CREATED",
                        "PROCESSING",
                        "PROCESSED",
                        "ERROR"
                      ]
                    },
                    "external": {
                      "type": "object",
                      "properties": {
                        "invoiceId": {
                          "type": "string"
                        },
                        "dealId": {
                          "type": "string"
                        },
                        "contractId": {
                          "type": "string"
                        }
                      }
                    },
                    "linkedTransactions": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "wallet": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "realmId": {
                          "type": "string"
                        },
                        "organizationId": {
                          "type": "string"
                        },
                        "accountId": {
                          "type": "string"
                        },
                        "environment": {
                          "type": "string",
                          "enum": [
                            "LIVE",
                            "TEST"
                          ]
                        },
                        "external": {
                          "type": "object",
                          "properties": {
                            "balanceAccountGroupId": {
                              "type": "string"
                            },
                            "accountNumber": {
                              "type": "number"
                            },
                            "accountDigit": {
                              "type": "number"
                            },
                            "branch": {
                              "type": "string"
                            },
                            "accountRequestId": {
                              "type": "string"
                            },
                            "checkingAccountId": {
                              "type": "string"
                            },
                            "accountType": {
                              "type": "string",
                              "enum": [
                                "PREPAID",
                                "CCLG"
                              ]
                            },
                            "productId": {
                              "type": "string"
                            }
                          }
                        },
                        "currency": {
                          "type": "string",
                          "enum": [
[...]
